#pragma once
#include <unordered_map>
#include "../base/interface.hpp"

namespace lsp::provider::telemetry
{
    class Event : public INotificationProvider
    {
    public:
        Event() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        void HandleNotification(const protocol::NotificationMessage& notification, ExecutionContext& context) override;
    };
}
